Subject: Re: Efficiency of caller/toss

From: Sergey Matveev <[email-masked]>
Date: Thu, 2 Sep 2021 12:06:17 +0300

*** Sergey Matveev [2021-08-23 17:10]:
>And they exists. I tried https://github.com/fsnotify/fsnotify -- no
>issues (except for https://github.com/fsnotify/fsnotify/issues/389).

Several days ago I used fsnotify in NNCP:
http://www.git.cypherpunks.ru/?p=nncp.git;a=commitdiff;h=726c119e6b2340994ada9fbd0e252acd31fb78b5
Currently no issues and problems discovered. It reduces unnecessary
directory listing calls. But I have not seen drop of CPU usage. truss
shows that there appeared huge quantity of nanosleep() calls, that have
not seen before fsnotify usage. Probably that is the issue related only
to Go+FreeBSD+kqueue. I have not check that commit under GNU/Linux
currently.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF